Name:           enemies-of-carlotta
Version:        1.0.3
Release:        4%{?dist}
Summary:        A simple mailing list manager

Group:          Applications/Internet
License:        GPL
URL:            http://liw.iki.fi/liw/eoc
Source0:        http://liw.iki.fi/liw/eoc/%{name}-%{version}.tar.gz
Patch0:         enemies-of-carlotta-1.0.3-Makefile.patch
Patch1:         enemies-of-carlotta-1.0.3-shellquote.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python >= 2.1
Requires:       python >= 2.1

BuildArch: noarch

%description
Enemies of Carlotta is a simple mailing list manager. It tries
to mimick the ezmlm software somewhat, but is written completely
from scratch, in Python.


%prep
%setup -q
%patch0 -p1 -b .Makefile
%patch1 -p1 -b .shellquote


%build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	bindir=%{_bindir} \
	man1dir=%{_mandir}/man1 \
	man1dirfr=%{_mandir}/fr/man1 \
	sharedir=%{_datadir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc BENCHMARKS ChangeLog COPYING NEWS README eoc-benchmark-procmailrc eoc-benchmark
%{_bindir}/enemies-of-carlotta
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/fr/man1/*



%changelog
* Wed Dec 13 2006 Ralf Ertzinger <ralf@skytale.net> 1.0.3-4.fc4
- Add security bugfix for CVE-2006-5875 from upstream

* Tue May 17 2005 Ralf Ertzinger <ralf@skytale.net> 1.0.3-3
- Added %%{dist}
- Made package noarch

* Fri Apr 08 2005 Ralf Ertzinger <ralf@skytale.net> 1.0.3-2 
- Fixed use of $(DESTDIR) in enemies-of-carlotta-1.0.3-Makefile.patch

* Tue Apr 05 2005 Ralf Ertzinger <ralf@skytale.net> 1.0.3-1 
- Initial RPM build for Fedora Extras
